org.apache.ignite.cache.store.jdbc

## Class CacheJdbcBlobStoreFactory<K,V>

- java.lang.Object
- - org.apache.ignite.cache.store.jdbc.CacheJdbcBlobStoreFactory<K,V>

All Implemented Interfaces:
  Serializable, javax.cache.configuration.Factory<CacheJdbcBlobStore<K,V>>

    public class CacheJdbcBlobStoreFactory<K,V>
    extends Object
    implements javax.cache.configuration.Factory<CacheJdbcBlobStore<K,V>>

`Factory` implementation for `CacheJdbcBlobStore`. Use this factory to pass `CacheJdbcBlobStore` to `CacheConfiguration`.

## Spring Example

         <bean id= "simpleDataSource" class="org.h2.jdbcx.JdbcDataSource"/>

         <bean id="ignite.cfg" class="org.apache.ignite.configuration.IgniteConfiguration">
              ...
              <property name="cacheConfiguration">
                   <list>
                      <bean class="org.apache.ignite.configuration.CacheConfiguration">
                          ...
                          <property name="cacheStoreFactory">
                              <bean class="org.apache.ignite.cache.store.jdbc.CacheJdbcBlobStoreFactory">
                                  <property name="user" value = "Ignite" />
                                  <property name="dataSourceBean" value = "simpleDataSource" />
                              </bean>
                          </property>
                      </bean>
                   </list>
              </property>
         </bean>

For information about Spring framework visit www.springframework.org

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheJdbcBlobStoreFactory()`

### Method Summary

Methods
`CacheJdbcBlobStore<K,V>` `create()`
`CacheJdbcBlobStoreFactory<K,V>` `setConnectionUrl(String connUrl)` Sets connection URL.
`CacheJdbcBlobStoreFactory<K,V>` `setCreateTableQuery(String createTblQry)` Sets create table query.
`CacheJdbcBlobStoreFactory<K,V>` `setDataSource(DataSource dataSrc)` Sets data source.
`CacheJdbcBlobStoreFactory<K,V>` `setDataSourceBean(String dataSrcBean)` Sets name of the data source bean.
`CacheJdbcBlobStoreFactory<K,V>` `setDeleteQuery(String delQry)` Sets delete entry query.
`CacheJdbcBlobStoreFactory<K,V>` `setInitSchema(boolean initSchema)` Flag indicating whether DB schema should be initialized by Ignite (default behaviour) or was explicitly created by user.
`CacheJdbcBlobStoreFactory<K,V>` `setInsertQuery(String insertQry)` Sets insert entry query.
`CacheJdbcBlobStoreFactory<K,V>` `setLoadQuery(String loadQry)` Sets load query.
`CacheJdbcBlobStoreFactory<K,V>` `setPassword(String passwd)` Sets password for database access.
`CacheJdbcBlobStoreFactory<K,V>` `setUpdateQuery(String updateQry)` Sets update entry query.
`CacheJdbcBlobStoreFactory<K,V>` `setUser(String user)` Sets user name for database access.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheJdbcBlobStoreFactory

    public CacheJdbcBlobStoreFactory()

### Method Detail

#### create

    public CacheJdbcBlobStore<K,V> create()

Specified by:
  `create` in interface `javax.cache.configuration.Factory<CacheJdbcBlobStore<K,V>>`

#### setInitSchema

    public CacheJdbcBlobStoreFactory<K,V> setInitSchema(boolean initSchema)

Flag indicating whether DB schema should be initialized by Ignite (default behaviour) or was explicitly created by user.

Parameters:
  `initSchema` - Initialized schema flag.
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setInitSchema(boolean)`

#### setConnectionUrl

    public CacheJdbcBlobStoreFactory<K,V> setConnectionUrl(String connUrl)

Sets connection URL.

Parameters:
  `connUrl` - Connection URL.
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setConnectionUrl(String)`

#### setCreateTableQuery

    public CacheJdbcBlobStoreFactory<K,V> setCreateTableQuery(String createTblQry)

Sets create table query.

Parameters:
  `createTblQry` - Create table query.
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setCreateTableQuery(String)`

#### setLoadQuery

    public CacheJdbcBlobStoreFactory<K,V> setLoadQuery(String loadQry)

Sets load query.

Parameters:
  `loadQry` - Load query
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setLoadQuery(String)`

#### setUpdateQuery

    public CacheJdbcBlobStoreFactory<K,V> setUpdateQuery(String updateQry)

Sets update entry query.

Parameters:
  `updateQry` - Update entry query.
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setUpdateQuery(String)`

#### setInsertQuery

    public CacheJdbcBlobStoreFactory<K,V> setInsertQuery(String insertQry)

Sets insert entry query.

Parameters:
  `insertQry` - Insert entry query.
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setInsertQuery(String)`

#### setDeleteQuery

    public CacheJdbcBlobStoreFactory<K,V> setDeleteQuery(String delQry)

Sets delete entry query.

Parameters:
  `delQry` - Delete entry query.
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setDeleteQuery(String)`

#### setUser

    public CacheJdbcBlobStoreFactory<K,V> setUser(String user)

Sets user name for database access.

Parameters:
  `user` - User name.
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setUser(String)`

#### setPassword

    public CacheJdbcBlobStoreFactory<K,V> setPassword(String passwd)

Sets password for database access.

Parameters:
  `passwd` - Password.
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setPassword(String)`

#### setDataSourceBean

    public CacheJdbcBlobStoreFactory<K,V> setDataSourceBean(String dataSrcBean)

Sets name of the data source bean.

Parameters:
  `dataSrcBean` - Data source bean name.
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setDataSource(DataSource)`

#### setDataSource

    public CacheJdbcBlobStoreFactory<K,V> setDataSource(DataSource dataSrc)

Sets data source. Data source should be fully configured and ready-to-use.

Parameters:
  `dataSrc` - Data source.
Returns:
  `This` for chaining.
See Also:
  `CacheJdbcBlobStore.setDataSource(DataSource)`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015